#include <bits/stdc++.h> 
using namespace std;
int main () {
	int n, m, k;
	cin >> n >> m >> k;
	if (n%k==0 && m%k==0){
		cout<<n*m/(k*k);
	}
	else{
		cout<<(m/k)*(n/k)+min(n,m)/k;
	}
	//cout << (n - (n % k)) * (m - (m % k)) / (k * k) + (((n % k) + (m % k))* k);
	
}
